org.eclnt.jsfserver.defaultscreens

## Class LogViewer.AllGridItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.defaultscreens.LogViewer.AllGridItem

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Direct Known Subclasses:
    LogViewer.GridItem
  Enclosing class:
    LogViewer

      public class LogViewer.AllGridItem
      extends FIXGRIDItem
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllGridItem(LogViewer.LogLine ll)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getCategoryColor()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextColor()`
    `java.lang.String` | `getThreadInfo()`
    `java.lang.String` | `getTimestamp()`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllGridItem

          public AllGridItem(LogViewer.LogLine ll)

  - ### Method Detail

    - #### getThreadInfo

          public java.lang.String getThreadInfo()

    - #### getText

          public java.lang.String getText()

    - #### getTimestamp

          public java.lang.String getTimestamp()

    - #### getCategory

          public java.lang.String getCategory()

    - #### getCategoryColor

          public java.lang.String getCategoryColor()

    - #### getTextColor

          public java.lang.String getTextColor()

Copyright © CaptainCasa Gmbh. All Rights Reserved.